summaryrefslogtreecommitdiffstats
path: root/system/kapacitor
diff options
context:
space:
mode:
Diffstat (limited to 'system/kapacitor')
-rw-r--r--system/kapacitor/kapacitor.SlackBuild20
-rw-r--r--system/kapacitor/kapacitor.info6
2 files changed, 15 insertions, 11 deletions
diff --git a/system/kapacitor/kapacitor.SlackBuild b/system/kapacitor/kapacitor.SlackBuild
index 5465172ca2..056705a749 100644
--- a/system/kapacitor/kapacitor.SlackBuild
+++ b/system/kapacitor/kapacitor.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Kapacitor
-# Copyright 2017-2021 Ebben Aries <slackbuilds@dscp.org>
+# Copyright 2017-2024 Ebben Aries <slackbuilds@dscp.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=kapacitor
-VERSION=${VERSION:-1.6.4}
+VERSION=${VERSION:-1.7.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,14 +39,18 @@ if [ -z "$ARCH" ]; then
fi
UIDGID=351
+
+nobuild() {
+ echo " You must have the \"$PRGNAM\" group and user to run this script."
+ echo " # groupadd -g $UIDGID $PRGNAM"
+ echo " # useradd -u $UIDGID -s /bin/false -d /var/lib/kapacitor -g $PRGNAM $PRGNAM"
+ exit 1
+}
+
if ! getent group $PRGNAM; then
- echo " You must have the \"$PRGNAM\" group to run this script."
- echo " # groupadd -g $UIDGID $PRGNAM"
- exit 1
+ nobuild
elif ! getent passwd $PRGNAM; then
- echo " You must have the \"$PRGNAM\" user to run this script."
- echo " # useradd -u $UIDGID -s /bin/false -d /var/lib/kapacitor -g $PRGNAM $PRGNAM"
- exit 1
+ nobuild
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
diff --git a/system/kapacitor/kapacitor.info b/system/kapacitor/kapacitor.info
index ae38fbad04..b6d6952189 100644
--- a/system/kapacitor/kapacitor.info
+++ b/system/kapacitor/kapacitor.info
@@ -1,10 +1,10 @@
PRGNAM="kapacitor"
-VERSION="1.6.4"
+VERSION="1.7.4"
HOMEPAGE="https://www.influxdata.com"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://dl.influxdata.com/kapacitor/releases/kapacitor-1.6.4_linux_amd64.tar.gz"
-MD5SUM_x86_64="3a0291af8159542d4c3705ac914c5a6a"
+DOWNLOAD_x86_64="https://dl.influxdata.com/kapacitor/releases/kapacitor-1.7.4_linux_amd64.tar.gz"
+MD5SUM_x86_64="f7a66fd6d4c2e432fa83e056abcc0247"
REQUIRES=""
MAINTAINER="Ebben Aries"
EMAIL="slackbuilds@dscp.org"